## Basic data structures Basic data structures |

## Functions

#define | GST_VAAPI_ID_ARGS()

## Types and Values

typedef | GstVaapiID
#define | GST_VAAPI_ID_FORMAT
struct | GstVaapiPoint
struct | GstVaapiRectangle

## Description

## Functions

### GST_VAAPI_ID_ARGS()

    #define GST_VAAPI_ID_ARGS(id) GSIZE_TO_POINTER(id)

Can be used together with GST_VAAPI_ID_FORMAT to properly output an integer value in a `printf()`-style text message.

#### Parameters

id | a GstVaapiID |

## Types and Values

### GstVaapiID

    typedef gsize GstVaapiID;

An integer large enough to hold a generic VA id or a pointer wherever necessary.

### GST_VAAPI_ID_FORMAT

    #define GST_VAAPI_ID_FORMAT "p"

Can be used together with GST_VAAPI_ID_ARGS to properly output an integer value in a `printf()`-style text message.

    1
    printf("id: %" GST_VAAPI_ID_FORMAT "\n", GST_VAAPI_ID_ARGS(id));

### struct GstVaapiPoint

    struct GstVaapiPoint {
        guint32 x;
        guint32 y;
    };

A location within a surface.

#### Members

guint32 `x`; | X coordinate |
guint32 `y`; | Y coordinate |

### struct GstVaapiRectangle

    struct GstVaapiRectangle {
        guint32 x;
        guint32 y;
        guint32 width;
        guint32 height;
    };

A rectangle region within a surface.

#### Members

guint32 `x`; | X coordinate |
guint32 `y`; | Y coordinate |
guint32 `width`; | region width |
guint32 `height`; | region height |